> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Numbers using Channel Billing for a specific Zone

> Retrieve a list of phone numbers using Channel Billing for a specific Zone.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/voice-channels.yml get /list/{channel_zone_id}
openapi: 3.1.0
info:
  title: Telnyx Voice Channels API
  version: 2.0.0
  description: API for Voice Channels.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /list/{channel_zone_id}:
    get:
      tags:
        - Voice Channels
      summary: List Numbers using Channel Billing for a specific Zone
      description: >-
        Retrieve a list of phone numbers using Channel Billing for a specific
        Zone.
      operationId: GetNumbersChannelZones
      parameters:
        - $ref: '#/components/parameters/GcbChannelNumberZoneId'
      responses:
        '200':
          $ref: '#/components/responses/GetGcbNumbersResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.list.retrieveByZone('channel_zone_id');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.list.retrieve_by_zone(
                "channel_zone_id",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.List.GetByZone(context.TODO(), \"channel_zone_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.list.ListRetrieveByZoneParams;
            import com.telnyx.sdk.models.list.ListRetrieveByZoneResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ListRetrieveByZoneResponse response = client.list().retrieveByZone("channel_zone_id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.list.retrieve_by_zone("channel_zone_id")

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->list->retrieveByZone('channel_zone_id');

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx list retrieve-by-zone \
              --api-key 'My API Key' \
              --channel-zone-id channel_zone_id
components:
  parameters:
    GcbChannelNumberZoneId:
      name: channel_zone_id
      in: path
      description: Channel zone identifier
      required: true
      schema:
        type: string
  responses:
    GetGcbNumbersResponse:
      description: A list of numbers using GCB, grouped by channel zone
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  type: object
                  properties:
                    zone_name:
                      type: string
                      example: Euro channel zone
                    zone_id:
                      type: string
                      example: 1653e6a1-4bfd-4857-97c6-6a51e1c34477
                    number_of_channels:
                      type: integer
                      example: 7
                    numbers:
                      type: array
                      items:
                        type: object
                        properties:
                          number:
                            type: string
                            example: '+15554441234'
                          country:
                            type: string
                            example: FR
              meta:
                $ref: '#/components/schemas/PaginationMeta'
  schemas:
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````